IMG_AnimationDecoderStatus(3type)

NAME
IMG_AnimationDecoderStatus - An enum representing the status of an animation decoder.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

typedef enum IMG_AnimationDecoderStatus
{
    IMG_DECODER_STATUS_INVALID = -1,    /**< The decoder is invalid */
    IMG_DECODER_STATUS_OK,              /**< The decoder is ready to decode the next frame */
    IMG_DECODER_STATUS_FAILED,          /**< The decoder failed to decode a frame, call SDL_GetError() for more information. */
    IMG_DECODER_STATUS_COMPLETE         /**< No more frames available */
} IMG_AnimationDecoderStatus;

AVAILABILITY
This enum is available since SDL_image 3.4.0.